<? $this->layout()->topBar_title = __('top20_history') ?>

<div class="i">
<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');

	for ( $i = 0; $i < ceil(count($this->escorts) / $config['gotmperRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['gotmperRow'], $config['gotmperRow']);
	}
?>

<div class="bbox escorts gotm gotm-history">
	<? foreach ( $rows as $i => $row ): ?>
	<div class="row <?= ( count($rows) == $i + 1 ) ? 'last' : '' ?><?= ($prem_count > 0 && $i == 0) || ($prem_count > 5 && $prem_count <= 10 && $i == 1) ? ' no-bg' : '' ?>">
		<? foreach ( $row as $esc_k => $escort ): ?>

		<div class="escort <?= ($this->is_main_page || $escort->is_premium) ? 'prem' : '' ?>">
			<div class="title">
				<?//= date('F Y', mktime(null, null, null, $escort->month + 1, null, $escort->year)) ?>
				<?= $this->getMonth($escort->month, $this->lang()) . ' ' . $escort->year ?>
			</div>

			<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>

			<div class="wrap">
				<div class="image">
					<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" alt="<?= isset($escort->alt) ? $escort->alt : '' ?>" class="escort-thumb" /></a>
				</div>
			</div>

			<div class="city">
				<? 
				$tpl_data['city'] = $escort->city;
				$seo = $this->seo('city', $escort->city_id, $tpl_data); 
				?>
				<? if (isset($seo->heading_escort) && $seo->heading_escort): ?>
					<?= $seo->heading_escort ?>
				<? else: ?>
					<?= __('escort') ?> <?= $escort->city ?>
				<? endif; ?>
			</div>
		</div>
		<? endforeach ?>
		<div class="clear"></div>
	</div>
	<? endforeach ?>
</div>
</div>
